ffmpeg (7:5.1.2-1ubuntu3) lunar; urgency=medium

  * Rebuild against latest libplacebo

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 21 Jan 2023 18:48:28 -0500

ffmpeg (7:5.1.2-1ubuntu2) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx on i386 too
    - Don't use librav1e on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 05 Nov 2022 15:03:17 +0100

ffmpeg (7:5.1.2-1) unstable; urgency=medium

  * New upstream version 5.1.2
  * debian/rules: Fix typo (Closes: #1020273)
  * debian/patches: Remove all patches, all integrated upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 01 Oct 2022 09:57:28 +0200

ffmpeg (7:5.1.1-2) unstable; urgency=medium

  * debian/rules: Disable filter-overlay_yuv420p10 on all BE architectures
    (Closes: #1019133)
  * debian/: Enable librav1e support
  * debian/patches: Apply upstream patch to limit automatic number of threads
    to 16

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 16 Sep 2022 23:50:22 +0200

ffmpeg (7:5.1.1-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 04 Sep 2022 18:16:21 +0200

ffmpeg (7:5.1.1-1) unstable; urgency=medium

  * New upstream version 5.1.1
  * debian/patches: Remove upstream patches

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 03 Sep 2022 09:46:14 +0200

ffmpeg (7:5.1-3ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 27 Aug 2022 16:18:30 +0200

ffmpeg (7:5.1-3) unstable; urgency=medium

  * debian/: Build with vulkan and libplacebo only on Linux (Closes: #1017108)
  * debian/patches: Add upstream patch to disable default ipfs gateway

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 24 Aug 2022 23:33:44 +0200

ffmpeg (7:5.1-2ubuntu2) kinetic; urgency=medium

  * No-change rebuild against libsvtav1enc1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 23 Aug 2022 01:15:22 +0000

ffmpeg (7:5.1-2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Aug 2022 09:30:10 +0200

ffmpeg (7:5.1-2) unstable; urgency=medium

  * debian/: Fix test failures on s390x (Closes: #1016519)
    * Apply upstream fixes for some s390x test failures
    * Disable one new failing test

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 02 Aug 2022 20:27:24 +0200

ffmpeg (7:5.1-1) unstable; urgency=medium

  * New upstream version 5.1
  * debian/control: Remove libxvmc-dev; decoder mpeg_xvmc was removed
  * debian/patches: Apply some upstream patches from the release/5.1 branch
  * debian/ffmpeg-doc.install: Fix installation of documentation
  * debian/*.symbols: Add new symbols

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 31 Jul 2022 20:07:37 +0200

ffmpeg (7:5.0.1-3ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Jul 2022 17:02:43 +0200

ffmpeg (7:5.0.1-3) unstable; urgency=medium

  * debian/tests: Update encoders for autopkgtests

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 23 Jun 2022 11:29:43 +0200

ffmpeg (7:5.0.1-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 22 Jun 2022 22:08:33 +0200

ffmpeg (7:5.0.1-1) experimental; urgency=medium

  * New upstream version 5.0.1
  * debian/:
    - Revert "Build without svt-av1 support on i386 for now"
    - Disable sndio
    - Build with librist (Closes: #1008172)
  * debian/patches: Remove patches from upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 06 Apr 2022 11:28:57 +0200

ffmpeg (7:5.0-3) experimental; urgency=medium

  * debian/rules: Ignore two test failures on ppc64el
  * debian/:
    - Build with --enable-libplacebo
    - Build without svt-av1 support on i386 for now

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 17 Feb 2022 22:00:15 +0100

ffmpeg (7:5.0-2) experimental; urgency=medium

  * debian/rules: Remove --disable-msa2
  * debian/: Apply upstream patch to link with libatomic

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 22 Jan 2022 13:10:28 +0100

ffmpeg (7:5.0-1) experimental; urgency=medium

  * New upstream version 5.0
  * SONAME bumps
    - libavcodec58 -> libavcodec59
    - libavdevice58 -> libavdevice59
    - libavfilter7 -> libavfilter8
    - libavformat58 -> libavformat59
    - libavutil56 -> libavutil57
    - libpostproc55 -> libpostproc56
    - libswresample3 -> libswresample4
    - libswscale5 -> libswscale6
  * debian/patches:
    - Remove patches included upstream
    - Add upstream patch to fix tests
  * debian/control:
    - Add libvulkan-dev to BD
    - Fix architecture name of m68k
  * debian/rules:
    - Build with --enable-libglslang
    - Build with --enable-libsvtav1
  * debian/copyright: Update for 5.0

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 16 Jan 2022 20:51:12 +0100

ffmpeg (7:4.4.2-1ubuntu6) kinetic; urgency=medium

  * No-change rebuild against libsrt1.5-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 07 Jul 2022 16:57:13 +0000

ffmpeg (7:4.4.2-1ubuntu5) kinetic; urgency=medium

  * Rebuild against latest x264

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 21 Jun 2022 16:20:27 -0400

ffmpeg (7:4.4.2-1ubuntu4) kinetic; urgency=medium

  * No-change rebuild against latest tesseract

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Jun 2022 10:43:45 -0400

ffmpeg (7:4.4.2-1ubuntu3) kinetic; urgency=medium

  * Rebuild against new libdav1d6.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 May 2022 08:15:46 +0200

ffmpeg (7:4.4.2-1ubuntu2) kinetic; urgency=medium

  * Rebuild against new libdav1d6.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 25 May 2022 12:49:13 +0200

ffmpeg (7:4.4.2-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 Apr 2022 10:01:01 +0200

ffmpeg (7:4.4.2-1) unstable; urgency=medium

  * New upstream version 4.4.2
  * debian/rules: Disable sndio

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 18 Apr 2022 21:42:58 +0200

ffmpeg (7:4.4.1-3ubuntu5) jammy; urgency=medium

  * Rebuild against new old libsndio7.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 13 Mar 2022 09:00:39 +0100

ffmpeg (7:4.4.1-3ubuntu4) jammy; urgency=medium

  * Rebuild against new old libsndio7.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Mar 2022 05:59:48 +0100

ffmpeg (7:4.4.1-3ubuntu3) jammy; urgency=medium

  * Rebuild against new libsndio7.1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Mar 2022 12:12:08 +0100

ffmpeg (7:4.4.1-3ubuntu2) jammy; urgency=medium

  * No-change rebuild against latest libwebp

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 01 Feb 2022 09:09:24 -0500

ffmpeg (7:4.4.1-3ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Jan 2022 16:22:38 +0100

ffmpeg (7:4.4.1-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Restrict the clang Build-Depends to amd64 arm64 ppc64el, where CUDA exists.
    (Closes: #994537)

  [ Sebastian Ramacher ]
  * debian/control:
    - Also enable cuda_llvm on i386
    - Suggest packages for nvenc

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 15 Jan 2022 17:49:38 +0100

ffmpeg (7:4.4.1-2ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Dec 2021 11:47:46 +0100

ffmpeg (7:4.4.1-2) unstable; urgency=medium

  * debian/control: Add Build-Depends on libffmpeg-nvenc-dev on amd64, arm64
    and i386 (Closes: #925941)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 21 Nov 2021 18:48:57 +0100

ffmpeg (7:4.4.1-1ubuntu2) jammy; urgency=medium

  * Rebuild for the new libvpx soname

 -- Sebastien Bacher <seb128@debian.org>  Wed, 17 Nov 2021 13:33:11 +0100

ffmpeg (7:4.4.1-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Nov 2021 09:07:38 +0100

ffmpeg (7:4.4.1-1) unstable; urgency=medium

  * New upstream version 4.4.1
  * debian/tests: Limit the number of threads to max of 8
  * debian/patches: Apply upstream patch to fix build on armhf with GCC 11

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 28 Oct 2021 21:43:55 +0200

ffmpeg (7:4.4-6ubuntu5) impish; urgency=medium

  * Add upstream-proposed patch to fix gcc-11 armhf failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Sep 2021 14:06:34 +0200

ffmpeg (7:4.4-6ubuntu4) impish; urgency=medium

  * Switch back on gcc-11 and fix properly armhf by passing right flags to the
    compiler

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Sep 2021 09:29:26 +0200

ffmpeg (7:4.4-6ubuntu2) impish; urgency=medium

  * Keep gcc-10 on armhf for now.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 Sep 2021 09:40:04 +0200

ffmpeg (7:4.4-6ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 Sep 2021 09:04:51 +0200

ffmpeg (7:4.4-6) unstable; urgency=medium

  * debian/*.symbols: Bump version of symbols to match upstream release
  * debian/ffmpeg.maintscript: Drop removal of old conffile

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 09 Sep 2021 22:45:41 +0200

ffmpeg (7:4.4-5ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Aug 2021 16:26:52 +0200

ffmpeg (7:4.4-5) unstable; urgency=medium

  * Upload to unstable
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 22 Aug 2021 14:34:35 +0200

ffmpeg (7:4.4-4) experimental; urgency=medium

  * debian/rules:
    - Add -latomic via --extra-libs
    - Fix architecture check for libsmbclient

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 09 Aug 2021 12:29:18 +0200

ffmpeg (7:4.4-3) experimental; urgency=medium

  * debian/rules: Fix architecture check for -latomic

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Aug 2021 23:11:58 +0200

ffmpeg (7:4.4-2) experimental; urgency=medium

  * debian/control: Fix Description of libswscale3 (Closes: #984795)
  * debian/rules: Link with -latomic on armel and mipsel
  * debian/:
    - Properly disable libsmbclient support only on hurd-i386 (Closes:
      #991558)
    - Disable librvsg2 on even more ports architectures (Closes: #991556)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Aug 2021 21:38:36 +0200

ffmpeg (7:4.4-1) experimental; urgency=medium

  * New upstream release
  * debian/control:
    - Remove obsolete alternative BDs
    - Bump libsmbclient-dev to 4.13 to avoid #984486
    - Add clang to BD to enable cuda_llvm
  * debian/:
    - Remove --enable-libwavpack
    - Remove --enable-liblensfun. liblensfun support is currently incompatible
      with any of the released liblensfun versions.
  * debian/patches: Drop patches from upstream
  * debian/copyright: Update copyright years
  * debian/*.symbols: Add new symbols

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 11 Apr 2021 15:09:21 +0200

ffmpeg (7:4.3.2-2) experimental; urgency=medium

  * debian/:
    - Build with zimg (Closes: #966059)
    - Disable librsvg on hppa and sh4 (Closes: #983344)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Feb 2021 14:49:11 +0100

ffmpeg (7:4.3.2-1) experimental; urgency=medium

  * New upstream release
  * debian/control: Add libgl-dev as alternative Build-Depends
  * debian/patches: Remove patches integrated upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 21 Feb 2021 22:15:58 +0100

ffmpeg (7:4.3.2-0+deb11u2ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 06 Jun 2021 22:32:52 +0200

ffmpeg (7:4.3.2-0+deb11u2) unstable; urgency=medium

  * debian/patches: Apply upstream patches for CVEs (Closes: #989439)
    - avfilter/vf_vmafmotion: Fix out-of-bounds access (CVE-2020-22019, CVE-2020-22033)
    - avfilter/vf_yadif: Fix out-of-bounds access (CVE-2020-22021)
    - avformat/movenc: Fix out-of-bounds access (CVE-2020-22015)
    - avcodec/pngen: Fix buffer overflow (CVE-2020-21041)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 04 Jun 2021 22:34:50 +0200

ffmpeg (7:4.3.2-0+deb11u1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Feb 2021 08:37:49 +0100

ffmpeg (7:4.3.2-0+deb11u1) unstable; urgency=medium

  * New upstream release
  * debian/gbp.conf: Branch off for bullseye
  * debian/patches: Remove patches integrated upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 21 Feb 2021 22:19:57 +0100

ffmpeg (7:4.3.1-9) experimental; urgency=medium

  [ Fabian Greffrath ]
  * add a libavformat-extra package that contains additional (de)muxers
    (Closes: #972897)

  [ Sebastian Ramacher ]
  * debian/control:
    - Remove empty Pre-Depends
    - Add myself to Uploaders
    - Remove Andreas Cadhalpun und Alexander Strasser from Uploaders. They are
      no longer active.
    - Remove obsolete Breaks+Replaces
  * debian/: Remove deprecated libavresample (Closes: #971318)
  * debian/copyright: Restore compatibility with Copyright-Format 1.0

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 21 Feb 2021 16:33:16 +0100

ffmpeg (7:4.3.1-8ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Jan 2021 23:42:22 +0100

ffmpeg (7:4.3.1-8) unstable; urgency=medium

  * Team upload
  * debian/patches: pusdec: do not fail when LBRR frames are present

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 26 Jan 2021 19:54:17 +0100

ffmpeg (7:4.3.1-7ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Jan 2021 11:41:49 +0100

ffmpeg (7:4.3.1-7) unstable; urgency=medium

  * Team upload

  [ Vasyl Gello ]
  * Keep libfreetype6-dev as alternative dep for buster-bpo

  [ Sebastian Ramacher ]
  * debian/patches:
    - Apply upstream patches for srt 1.4.1
    - Fix build on powerpc and ppc64 (Closes: #968574)
  * debian/: Revert "Temporarily disable srt support" (Closes: #975988,
    #972556)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 19 Jan 2021 20:36:50 +0100

ffmpeg (7:4.3.1-6ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 13 Jan 2021 20:54:33 +0100

ffmpeg (7:4.3.1-6) unstable; urgency=medium

  * Team upload
  * debian/control:
    - Bump Standards-Version
    - Drop obsolete Build-Depends
    - Switch to libfontconfig-dev and libfreetype-dev
  * debian/patches:
    - Fix out-of-bounds write in libavcodec/exr.c (Closes: #980000)
      (CVE-2020-35964)
    - Fix out-of-bounds write in libavcodec/vividas.c (Closes: #979999)
      (CVE-2020-35965)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 12 Jan 2021 20:48:08 +0100

ffmpeg (7:4.3.1-5ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Oct 2020 08:22:22 +0100

ffmpeg (7:4.3.1-5) unstable; urgency=medium

  * Team upload
  * debian/: Temporarily disable libsrt support (see #972556 and #971754)
    Once libsrt provides a stable ABI, support can be reenabled.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 25 Oct 2020 09:38:59 +0100

ffmpeg (7:4.3.1-4ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Sep 2020 18:19:39 +0200

ffmpeg (7:4.3.1-4) unstable; urgency=medium

  * Team upload
  * debian/control: Switch to libdc1394-dev

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 22 Sep 2020 22:22:44 +0200

ffmpeg (7:4.3.1-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 13 Sep 2020 09:25:55 +0200

ffmpeg (7:4.3.1-3) unstable; urgency=medium

  * Team upload

  [ Jonas Smedegaard ]
  * update git-buildpackage config:
    + use signed tags
    + filter any .git* file
  * fix typo in README.Debian
  * drop lintian override for typo fixed upstream
  * remove myelf as uploader

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

  [ Sebastian Ramacher ]
  * Set Bug-Database, Repository-Browse and Security-Contact

  [ Pino Toscano ]
  * Disable pocketsphinx on few more architectures

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 12 Sep 2020 18:15:33 +0200

ffmpeg (7:4.3.1-2ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Aug 2020 14:33:53 +0200

ffmpeg (7:4.3.1-2) unstable; urgency=medium

  * avoid linking with pocketsphinx on bigendian archs;
    closes: bug#968456, thanks to John David Anglin

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Aug 2020 23:08:50 +0200

ffmpeg (7:4.3.1-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Aug 2020 08:16:19 +0200

ffmpeg (7:4.3.1-1) unstable; urgency=high

  [ upstream ]
  * new maintenance release
    + fix libavformat heap-based buffer overflow in avio_get_str
      (CVE-2020-14212)
    + fix libavformat use-after-free in hls
      (CVE-2020-13904)

  [ Jonas Smedegaard ]
  * add patch cherry-picked upstream
    to avoid libswscale segfault on SSSE3 capable systems
    closes: bug#964312, thanks to Jörg Schütter
  * Document omitted features in README.Debian and TODO.Debian
    (not rules file comments)
  * use debhelper compatibility level 12 (not 13)
  * set urgency=high due to security-related bugfixes

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 04 Aug 2020 16:10:03 +0200

ffmpeg (7:4.3-3ubuntu2) groovy; urgency=medium

  * No-change rebuild for x264/x265 soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jul 2020 11:42:44 +0200

ffmpeg (7:4.3-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 Jul 2020 08:53:06 +0200

ffmpeg (7:4.3-3) unstable; urgency=medium

  * link with dav1d;
    build-depend on libdav1d-dev
  * build-depend on libbrotli-dev
    (as temporary workaround, see bug#964185)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 03 Jul 2020 17:57:57 +0200

ffmpeg (7:4.3-2ubuntu2) groovy; urgency=medium

  * Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jun 2020 20:40:15 +0200

ffmpeg (7:4.3-2ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 27 Jun 2020 23:52:34 +0200

ffmpeg (7:4.3-2) unstable; urgency=medium

  * use debhelper compatibility level 12 (not 11);
    skip dwz for most libraries to avoid error: Unknown DWARF DW_OP_0
  * reduce and simplify shell code in make rules

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Jun 2020 15:15:20 +0200

ffmpeg (7:4.3-1) experimental; urgency=medium

  [ upstream ]
  * new feature release

  [ Jonas Smedegaard ]
  * link with RabbitMQ;
    build-depend on librabbitmq-dev
  * update comments in rules file about omitted linkage
  * stop enable AviSynth: embedded code dropped upstream
  * drop patch 002, applied upstream
  * explicitly reuse symbols files (drop symbolic links),
    to not confuse pkgkde-symbolshelper
  * sort symbols, and move comments to README.source
  * briefly document use of pkgkde-symbolshelper in README.source
  * update symbols, including dropped avfilter symbols
    avfilter_all_channel_layouts avfilter_get_matrix
    (seemingly private and unused anywhere in Debian)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 16 Jun 2020 19:20:15 +0200

ffmpeg (7:4.2.3-2) unstable; urgency=medium

  * copyright:
    + use License-Grant and License-Reference;
      add lintian overrides (see bug#786450)
    + update coverage
  * stop mention SOFAlizer in libavfilter-extra* long description:
    dropped since upstream release 3.4
  * simplify rules:
    explicitly reuse symbols files (and drop symbolic links)
  * watch: revert to set pgpsigurlmangle
    (not pgpmode=auto: we want to fail if signature file is missing)
  * use pkgkde-symbolshelper;
    build-depend on pkg-kde-tools

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 16 Jun 2020 18:44:49 +0200

ffmpeg (7:4.2.3-1) unstable; urgency=medium

  [ upstream ]
  * new maintenance release

  [ Jonas Smedegaard ]
  * link with Pocket Sphinx where available (see bug#812335);
    build-depend on recent libpocketsphinx-dev (see bug#941377)
  * watch:
    + use file format 4
    + set pgpmode=auto
    + set dversionmangle=auto
    + use pattern strings
    + add usage comment

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 16 Jun 2020 11:58:44 +0200

ffmpeg (7:4.2.2-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Jun 2020 12:55:09 +0200

ffmpeg (7:4.2.2-3) unstable; urgency=medium

  * fix limit libmfx linking to amd64,
    to match availability of the library

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Jun 2020 17:10:49 +0200

ffmpeg (7:4.2.2-2) unstable; urgency=medium

  * link with libsrt;
    build-depend on libsrt-gnutls-dev;
    closes: bug#960140, thanks to Kyle Robbertze
  * add myself as uploader
  * link with libmfx;
    build-depend on libmfx-dev;
    closes: bug#955130, thanks to Tom Yang

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Jun 2020 13:53:47 +0200

ffmpeg (7:4.2.2-1ubuntu1) focal; urgency=medium

  * Build with external nv-codec-headers for NVENC accelerated video
    encoding. (LP: #1810649)
    - debian/control:
      + Add B-D libffmpeg-nvenc-dev
    - debian/rules:
      + Add --enable-nvenc for amd64 only

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Sat, 07 Mar 2020 08:39:35 +0000

ffmpeg (7:4.2.2-1) unstable; urgency=medium

  [ James Cowgill ]
  * New upstream release.

  * d/control:
    - Change lib*-extra packages to arch any.
    - Tighten dependencies from libav*-extra packages.
    - Bump standards version to 4.5.0.
  * d/rules: Enable opencl (Closes: #944005)

  [ Steve Langasek ]
  * d/tests: Make autopkgtests cross-test-friendly. (Closes: #946241)

 -- James Cowgill <jcowgill@debian.org>  Sat, 25 Jan 2020 16:22:32 +0000

ffmpeg (7:4.2.1-2) unstable; urgency=medium

  * d/patches:
    - avcodec/libtwolame: fix mono default bitrate. (Closes: #943900)
  * d/tests:
    - Replace remaining occurrences of ADTTMP.

 -- James Cowgill <jcowgill@debian.org>  Sat, 02 Nov 2019 01:17:31 +0000

ffmpeg (7:4.2.1-1) unstable; urgency=medium

  * New upstream release.
    - avcodec/vqavideo: Set video size. (CVE-2019-17542)
    - avcodec/utils: Check close before calling it. (CVE-2019-17539)

  * d/copyright: Various copyright updates for 4.2.
  * d/patches: Add patch to fix sbcenc segfault on armhf.
  * d/rules:
    - Enable libartbb24.
    - Disable MSA2.
    - Update list of non-enabled libraries.
  * d/*.symbols: Updates for 4.2.
  * d/tests: Update encdec lists with 4.2 additions.

 -- James Cowgill <jcowgill@debian.org>  Mon, 28 Oct 2019 18:14:56 +0000

ffmpeg (7:4.1.4-1) unstable; urgency=medium

  [ James Cowgill ]
  * New upstream release. (LP: #1837480)
    - avformat/aadec: Check for scanf() failure (CVE-2019-12730)
      (Closes: #932469)

  * d/copyright: Remove paragraph containing license files.
  * d/control: Bump standards version to 4.4.0.
  * d/ffmpeg-doc.doc-base*:
    - Move API docs to Programming/C section.
    - Index the main manual pages as well.
      Thanks to 積丹尼 Dan Jacobson for the suggestion. (Closes: #924528)
  * d/rules:
    - Disable crystalhd. (Closes: #917292)
    - Generate index.html file for the HTML manual pages.

  [ Ondřej Nový ]
  * d/control:
    - Use debhelper-compat instead of debian/compat.

 -- James Cowgill <jcowgill@debian.org>  Sat, 27 Jul 2019 11:24:18 +0100

ffmpeg (7:4.1.3-1) unstable; urgency=high

  * Team upload.
  * New upstream release. (Closes: #926666)
    - Fix bug in subtitle decoder enabling DoS attacks (CVE-2019-9718,
      CVE-2019-9721)
    - Fix bug in studio profile decoder enabling DoS attacks (CVE-2019-11339)
    - Fix bug mishandling HEVC data enabling DoS attacks (CVE-2019-11338)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 19 May 2019 17:22:10 +0200

ffmpeg (7:4.1.1-1) unstable; urgency=medium

  * New upstream release.
    - cbs_av1: Fix reading of overlong uvlc codes (CVE-2019-1000016)
      (Closes: #922066)

 -- James Cowgill <jcowgill@debian.org>  Fri, 15 Feb 2019 09:35:05 +0000

ffmpeg (7:4.1-1) unstable; urgency=low

  * New upstream release.
    - Fixes DSF decoding noise at end of file. (Closes: #896190)

  * d/control:
    - Add version restriction to libva-dev build dependency.
  * d/copyright: Updates for 4.1.
  * d/rules:
  * - Disable opencv. (Closes: #915544)
    - Enable liblensfun in libavfilter-extra.
    - Update list of disabled libraries.
  * d/*.symbols: Update symbols files for 4.1.
  * d/tests: Update encdec_list.txt.
  * d/upstream/signing-key.asc: Minimize key.

 -- James Cowgill <jcowgill@debian.org>  Sat, 22 Dec 2018 13:25:13 +0000

ffmpeg (7:4.0.3-1) unstable; urgency=medium

  * New upstream release.
    - avformat/flvenc: Check audio packet size. (CVE-2018-15822)

  * d/control: Bump standards to 4.2.1.
  * d/*.symbols: Add missing Build-Depends-Package fields.
  * d/rules: Enable libvidstab. (Closes: #781938)

 -- James Cowgill <jcowgill@debian.org>  Sat, 03 Nov 2018 20:36:20 +0000

ffmpeg (7:4.0.2-2) unstable; urgency=medium

  [ James Cowgill ]
  * Enable libaom. (Closes: #907032)
    - d/tests: Enable libaom-av1 codec tests in encdec_list.
  * Use versioned Provides instead of alternatives for -extra package
    dependencies.  (Closes: #904163)

  [ Fabian Greffrath ]
  * Handle internal library dependencies by generating a
    debian/shlibs.local file.

 -- James Cowgill <jcowgill@debian.org>  Sat, 22 Sep 2018 14:52:46 +0100

ffmpeg (7:4.0.2-1) unstable; urgency=medium

  [ James Cowgill ]
  * New upstream release.
    - avformat/movenc: Do not pass AVCodecParameters in avpriv_request_sample.
      (CVE-2018-13300)
    - avcodec/mpeg4videodec: Check read profile before setting it.
      (CVE-2018-13301)
    - avformat/movenc: Check that frame_types other than
      EAC3_FRAME_TYPE_INDEPENDENT have a supported substream id.
      (CVE-2018-13302)
    - avcodec/ac3_parser: Check init_get_bits8() for failure.
      (CVE-2018-13303)
    - avcodec/mpeg4videodec: Remove use of FF_PROFILE_MPEG4_SIMPLE_STUDIO as
      indicator of studio profile. (CVE-2018-13304)
    - avformat/movenc: Check input sample count. (CVE-2018-14394)
    - avformat/movenc: Write version 2 of audio atom if channels is not known.
      (CVE-2018-14395)

  * debian/control:
    - Add winff Breaks. (See: #904141)
  * debian/rules:
    - Only pass --target-os when cross compiling. (Closes: #904052)

  [ YunQiang Su ]
  * debian/rules: Fix FTBFS with MIPS R6. (Closes: #904178)

 -- James Cowgill <jcowgill@debian.org>  Sat, 21 Jul 2018 19:45:52 +0100

ffmpeg (7:4.0.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- James Cowgill <jcowgill@debian.org>  Wed, 18 Jul 2018 11:49:42 +0100

ffmpeg (7:4.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - avcodec/mpeg4videodec: Clear bits_per_raw_sample if it has originated
      from a previous instance. (CVE-2018-12459)
    - avcodec/idctdsp: Transmit studio_profile to init instead of using
      AVCodecContext profile. (CVE-2018-12460)
    - avcodec/mpeg4videoenc: Use 64 bit for times in
      mpeg4_encode_gop_header(). (CVE-2018-12458)
  * debian/control: Bump Standards-Version.
  * debian/patches: Remove patches integrated upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 11 Jul 2018 19:25:32 +0200

ffmpeg (7:4.0-3) experimental; urgency=medium

  * debian/control:
    - Tighten inter-library dependencies.
  * debian/rules:
    - Unconditionally pass --arch and --target-os.
  * debian/*.symbols:
    - Add symbols files.

 -- James Cowgill <jcowgill@debian.org>  Wed, 06 Jun 2018 14:40:56 +0100

ffmpeg (7:4.0-2) experimental; urgency=medium

  * debian/control:
    - Add version constraint to libopenjp2-7-dev build dependency.
  * debian/libavfilter7.lintian-overrides:
    - Fix override which was not updated as part of the library rename in
      7:4.0-1.
  * debian/patches:
    - Add upstream patch to fix segfault in dash encoder.
  * debian/rules:
    - Revert "Use dh_listpackages to calculate EXTRA_PKGS variable".
    - Only install documentation in arch indep install target.
    - Read config.log from ffbuild/ directory.
    - Ignore hapenc tests on i386, m68k and s390x.
  * debian/tests:
    - Disable encdec test for mov;vp8.

 -- James Cowgill <jcowgill@debian.org>  Sun, 06 May 2018 22:39:20 +0100

ffmpeg (7:4.0-1) experimental; urgency=medium

  * New upstream release.

  [ James Cowgill ]
  * debian/control:
    - Set maintainer to debian-multimedia@lists.d.o.
    - Remove mention of ffserver.
  * debian/copyright: Update for 4.0.
  * debian/ffmpeg.install:
    - Restore RELEASE_NOTES file.
  * debian/rules:
    - Fix FTBFS caused by nodejs setting O_NONBLOCK on the build log pipe.
      (Closes: #895154)
    - Use dh_listpackages to calculate EXTRA_PKGS variable.
    - Rename stage1 build profile to pkg.ffmpeg.stage1.
    - Enable libcodec2.
  * debian/tests: Update encdec_list.txt.

  [ Sebastian Ramacher ]
  * Drop libav-tools. (Closes: #873182)

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP.

 -- James Cowgill <jcowgill@debian.org>  Sun, 22 Apr 2018 22:42:50 +0100

ffmpeg (7:3.5~git20180113-1) experimental; urgency=medium

  * New upstream development snapshot.
  * Bump SONAMEs of all libraries.
  * Remove ffserver (removed upstream).

  * debian/compat:
    - Use debhelper compat 11.
  * debian/control:
    - Remove obsolete Breaks.
    - Bump standards version to 4.1.3.
    - Drop build-dependency on libleptonica-dev.
    - Drop dependencies on libavresample-dev.
    - Migrate VCS to salsa.debian.org.
  * debian/copyright:
    - Update copyright holders.
  * debian/ffmpeg.install:
    - Temporarily remove RELEASE_NOTES (only available in releases).
    - Install ffprobe.xsl.
  * debian/ffmpeg-doc.install:
    - Install html manual from debian/tmp instead of build directory.
  * debian/ffmpeg-doc.examples:
    - Use dh_installexamples to install examples.
  * debian/patches:
    - Drop patches applied upstream.
  * debian/rules:
    - Enable dh_missing.
    - Manually enable libjack.
    - Enable LV2 filter.
    - Disable resample filter.
    - Disable mips optimizations on all mips variants.
  * debian/tests:
    - Update encdec lists.
    - Use old examples test build target now that the correct Makefile is
      installed.

 -- James Cowgill <jcowgill@debian.org>  Mon, 22 Jan 2018 20:20:39 +0000

ffmpeg (7:3.4.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes CVE-2017-16840, CVE-2017-17081.

  * debian/control:
    - Bump standards version to 4.1.2.
  * debian/patches:
    - Drop patches applied upstream.

 -- James Cowgill <jcowgill@debian.org>  Mon, 11 Dec 2017 17:31:16 +0000

ffmpeg (7:3.4-4) unstable; urgency=medium

  * debian/control:
    - Require 3.4 avcodec/avfilter when 3.4 avutil is in use. (Closes: #882598)
  * debian/patches:
    - Add patch to fix random FTBFS on i386 caused by float precision issues.
      (Closes: #882075)

 -- James Cowgill <jcowgill@debian.org>  Sat, 25 Nov 2017 10:49:41 +0000

ffmpeg (7:3.4-3) unstable; urgency=medium

  * debian/patches:
    - Add patch to fix dash muxer autopkgtest errors on big-endian.

 -- James Cowgill <jcowgill@debian.org>  Sat, 18 Nov 2017 15:45:03 +0000

ffmpeg (7:3.4-2) unstable; urgency=medium

  * Upload to unstable.

  * debian/control:
    - Set Rules-Requires-Root: no
  * debian/libavutil55.lintian-overrides:
    - Add shlib-with-non-pic-code override on i386.
  * debian/patches:
    - Add patch to fix checkasm test on armhf. (Closes: #879800)
    - Add patch to workaround incorrect use of drain packets in compat decode
      api. (Closes: #879673)

 -- James Cowgill <jcowgill@debian.org>  Thu, 09 Nov 2017 16:13:48 +0000

ffmpeg (7:3.4-1) experimental; urgency=medium

  * New upstream release.

  * debian/control:
    - Bump standards version to 4.1.1.
    - Remove "Priority: extra" which is deprecated in policy 4.0.1.
  * debian/copyright:
    - Update debian/copyright using decopy.
  * debian/patches:
    - Drop patches applied upstream.
  * debian/rules:
    - Update build options and enabled libraries.
  * debian/tests:
    - Fix examples package test by using new build target.
    - Update autopkgtest encdec lists.

 -- James Cowgill <jcowgill@debian.org>  Sat, 21 Oct 2017 19:35:10 +0100

ffmpeg (7:3.3.4-2) unstable; urgency=medium

  * debian/patches/0004-Add-support-for-LibOpenJPEG-v2.2-git.patch:
    - Add upstream patch to fix FTBFS with OpenJPEG 2.2. (Closes: #876805)

 -- James Cowgill <jcowgill@debian.org>  Tue, 26 Sep 2017 11:42:03 +0100

ffmpeg (7:3.3.4-1) unstable; urgency=medium

  * New upstream bugfix release.
    - Fixes CVE-2017-14054, CVE-2017-14055, CVE-2017-14056,
      CVE-2017-14057, CVE-2017-14058, CVE-2017-14059, CVE-2017-14169,
      CVE-2017-14170, CVE-2017-14171, CVE-2017-14222, CVE-2017-14223,
      CVE-2017-14225.
    - Fixes crashes on ARM due to misalignment. (Closes: #872503)

  * debian/patches:
    - Drop 0004-swscale-fix-gbrap16-alpha-channel-issues.patch,
      applied upstream.

 -- James Cowgill <jcowgill@debian.org>  Tue, 12 Sep 2017 23:44:51 +0100

ffmpeg (7:3.3.3-4) unstable; urgency=medium

  * debian/control:
    - Bump standards version to 4.1.0 (no changes).
  * debian/patches/0006-disable-ppc-scalarproduct.patch:
    - Drop patch now that the GCC-7 toolchain bug is fixed.

 -- James Cowgill <jcowgill@debian.org>  Wed, 06 Sep 2017 20:39:42 +0100

ffmpeg (7:3.3.3-3) unstable; urgency=medium

  * Add myself to the list of uploaders.
  * Disable broken optimizations on ppc64el to fix FTBFS. (See: #871565)

 -- James Cowgill <jcowgill@debian.org>  Wed, 16 Aug 2017 11:11:59 +0100

ffmpeg (7:3.3.3-2) unstable; urgency=medium

  * Team upload.
  * Add 0005-arm-thumb2-blx.patch to fix SIGBUS on armhf.
    Thanks to Jiong Wang. (Closes: #870622)

 -- James Cowgill <jcowgill@debian.org>  Tue, 08 Aug 2017 21:53:47 -0400

ffmpeg (7:3.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fixes testsuite failure on arm64. (Closes: #870050)
  * Add patches to fix testsuite failures on big-endian. (Closes: #870048)
    - 0001-sws-tests-pixdesc_query-replace-rgb-based-pix-fmts-w.patch.
    - 0002-swscale-fix-gbrap16-alpha-channel-issues.patch to fix. This patch
      also fixes some other alpha channel issues with the gbrap16 pixel
      formats.

  * debian/rules:
    - Disable more MIPS optimization options which might not be available on
      all processors.

 -- James Cowgill <jcowgill@debian.org>  Tue, 01 Aug 2017 16:08:54 +0100

ffmpeg (7:3.3.2-1) unstable; urgency=medium

  * Team upload.

  [ Reinhard Tartler ]
  * New upstream release. (Closes: #869112)
    - Comes with internal ebur128 library, so drop build-dependency on
      libebur128-dev.

  [ James Cowgill ]
  * debian/copyright:
    - Update.
  * debian/tests:
    - Use '-pix_fmt yuv422p' in dnxhd autopkgtests.
    - Update encdec_list.txt.

 -- James Cowgill <jcowgill@debian.org>  Wed, 26 Jul 2017 21:06:44 +0100

ffmpeg (7:3.2.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 21 Jun 2017 22:07:55 +0200

ffmpeg (7:3.2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 22 May 2017 22:03:36 +0200

ffmpeg (7:3.2.4-1) unstable; urgency=medium

  * Import new upstream bugfix release 3.2.4.
     - Fixes CVE-2016-9561, CVE-2017-5024 and CVE-2017-5025.
  * Drop patches, included upstream:
     - lavf-chromaprint-Update-for-version-1.4.patch
     - libopenmpt-add-missing-avio_read-return-value-check.patch
     - swscale-save-ebx-register-when-it-is-not-available.patch

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Fri, 10 Feb 2017 22:24:45 +0100

ffmpeg (7:3.2.2-2) unstable; urgency=medium

  * Cherry-pick patches from upstream:
     - Fix building with chromaprint 1.4. (Closes: #851026)
     - Fix building with --disable-pic on gcc-4.8.
     - Fix heap-buffer-overflows when using libopenmpt.
  * Re-enable chromaprint on sh4 and libx264 on powerpcspe.
  * Update packaging copyright years.
  * Switch from libmodplug to libopenmpt. (Closes: #849840)

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sat, 21 Jan 2017 22:39:40 +0100

ffmpeg (7:3.2.2-1) unstable; urgency=medium

  * Import new upstream bugfix release 3.2.2.
  * Fix log messages in autopkgtest.
  * Enable frei0r on powerpcspe.
  * Drop --disable-tesseract.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Tue, 06 Dec 2016 23:58:20 +0100

ffmpeg (7:3.2.1-1) unstable; urgency=medium

  [ Balint Reczey ]
  * Call dh_auto_install with -a/-i for -arch and for -indep targets
    respectively

  [ Andreas Cadhalpun ]
  * Import new upstream bugfix release 3.2.1.
  * Don't enable x11grab, which has been replaced with xcb.
  * Add build-dependency on autodetected libxcb-shm0-dev. (Closes: #843144)
  * Add explicit build-dependencies for autodetected features.
  * Remove patches, fixed upstream.
     - Revert-avformat-hls-Fix-missing-streams-in-some-case.patch
     - apng-use-side-data-to-pass-extradata-to-muxer.patch
     - doc-fix-spelling-errors.patch
     - pixblockdsp-disable-altivec-optimizations-on-ppc64be.patch
  * Disable libschroedinger entirely. (see #845037)
  * Enable omx.
  * Update build-dependencies for some ports.
     - m68k: enable chromaprint
     - powerpcspe: enable chromaprint, openal, opencv
     - sh4: disable chromaprint
  * Add streamcopy testing to the autopkgtest.
  * Update encdec_list.txt.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sat, 26 Nov 2016 23:44:53 +0100

ffmpeg (7:3.2-2) unstable; urgency=medium

  * Fix FTBFS on powerpc and arch-independent build.
  * Add patch to fix test failures on ppc64.
    - pixblockdsp-disable-altivec-optimizations-on-ppc64be.patch

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Tue, 01 Nov 2016 00:42:03 +0100

ffmpeg (7:3.2-1) unstable; urgency=medium

  * Import new major upstream release 3.2.
  * Drop patches, included upstream:
    - ffmpeg_opt-Suggest-to-use-file-.-if-a-protocol-was-not-fo.patch
    - lavf-mp3enc-write-encoder-delay-padding-upon-closing.patch
    - doc-fix-spelling-errors.patch
    - faq-use-relative-links-to-own-documentation.patch
    - tests-checkasm-pixblockdsp-Test-8-byte-aligned-positions.patch
  * Switch to SDL 2.
  * Update comments in debian/rules and drop cruft.
  * Update debian/copyright.
  * Add patches to fix autopkgtest failures and spelling errors:
    - apng-use-side-data-to-pass-extradata-to-muxer.patch
    - Revert-avformat-hls-Fix-missing-streams-in-some-case.patch
    - doc-fix-spelling-errors.patch
  * Update debian/tests_encdec_list.txt.
  * Build static libraries without -fPIC as required by policy 10.2.
  * Disable uninstallable BDs on m68k and powerpcspe:
    - powerpcspe: openal, netcdf, frei0r, opencv, x264 and chromaprint.
    - m68k: chromaprint
  * Avoid needlessly re-running configure.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sun, 30 Oct 2016 10:15:11 +0100

ffmpeg (7:3.1.5-1) unstable; urgency=medium

  * Import new upstream bugfix release 3.1.5.
  * Use nasm instead of yasm.
    - Unlike yasm it is actively maintained upstream.
    - And it doesn't embed the full build path as DW_AT_comp_dir.
      (This should make ffmpeg fully reproducible.)
  * Drop patches, fixed differently upstream:
    - disable-opj-static.patch
    - libopenjpegenc-recreate-image-data-buffer.patch
  * Add patches from upstream:
     - doc-fix-spelling-errors.patch (Closes: #839542)
     - faq-use-relative-links-to-own-documentation.patch (Closes: #841501)
     - ffmpeg_opt-Suggest-to-use-file-.-if-a-protocol-was-not-fo.patch
       (Closes: #785690)
     - lavf-mp3enc-write-encoder-delay-padding-upon-closing.patch
       (Closes: #797965)
     - tests-checkasm-pixblockdsp-Test-8-byte-aligned-positions.patch
       (LP: #1612058)
  * Use debhelper compat 10.
     - Parallel building is now the default.
  * Revert: Enable all hardening options except pie.
     - It doesn't have any effect, anyway.
     - PIE is now the default.
  * Adapt lintian overrides to PIE by default.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sat, 22 Oct 2016 22:33:02 +0200

ffmpeg (7:3.1.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Disable librtmp support, because the built-in RTMP support is better.

  [ Andreas Cadhalpun ]
  * Import new upstream bugfix release 3.1.4.
     - Fixes CVE-2016-7122, CVE-2016-7450, CVE-2016-7502, CVE-2016-7555,
       CVE-2016-7562, CVE-2016-7785 and CVE-2016-7905. (Closes: #840434)
  * Fix typos.
  * Replace libopencv-dev build-dependency with libopencv-imgproc-dev.
  * Improve build-time optimization for libavfilter-extra.
  * Mention sofalizer in libavfilter-extra6 description.
  * Remove redundant nocheck test.
  * Add libopenjpegenc-recreate-image-data-buffer.patch to fix autopkg
    test crashes.
  * Let the encdec test print the command before executing it.
  * Update encdec*_list.txt.
  * Re-enable the libopenjpeg decoder.
  * Enable libzmq on hurd, as it is now available there.
  * Use 'set -e' to abort build on configure failure.
  * Only set CC/CXX if they differ from the default.
  * Set configure options for cross-building.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Tue, 11 Oct 2016 21:17:10 +0200

ffmpeg (7:3.1.3-2) unstable; urgency=medium

  * Team upload.

  [ Balint Reczey ]
  * Enable OCR using Tesseract in libavfilter-extra* (Closes: 822555)

  [ Sebastian Ramacher ]
  * debian/libavcodec*.lintian-overrides: Remove unused lintian override.
  * debian/rules:
    - Enable all hardening options except pie.
    - Apply the same optimization for libavfilter extra flavor.
  * debian/{control,rules}: Build libavfilter extra flavor with --enable-netcdf.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 28 Sep 2016 21:42:19 +0200

ffmpeg (7:3.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/{rules,*.symbols}: Remove symbol files and generate tighter
    dependencies using a dh_makeshlibs override. (Closes: #835645)
  * debian/copyright: Fix dep5-copyright-license-name-not-unique.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Aug 2016 12:12:44 +0200

ffmpeg (7:3.1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - fix-vaapi-default-values.patch: Removed, applied upstream.
    - Revert-configure-Enable-GCC-vectorization-on-4.9-on-.patch: Removed,
      included upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 10 Aug 2016 20:42:29 +0200

ffmpeg (7:3.1.1-4) unstable; urgency=high

  * debian/control:
    - Remove obsolete Conflicts.
    - Remove obsolete Breaks against dmo packages.
  * debian/patches/fix-vaapi-default-values.patch: Use local independent
    default values. Thanks to Carl Eugen Hoyos. (Closes: #831529)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 03 Aug 2016 15:16:59 +0200

ffmpeg (7:3.1.1-3) unstable; urgency=medium

  [ James Clarke ]
  * debian/rules: Re-enable x264 on sparc64 as the linker has been fixed.
    (Closes: #831582)

  [ Sebastian Ramacher ]
  * debian/patches/Revert-configure-Enable-GCC-vectorization-on-4.9-on-.patch:
    Apply upstream patch to disable GCC vectorization.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 21 Jul 2016 20:26:12 +0200

ffmpeg (7:3.1.1-2) unstable; urgency=medium

  * Team upload.

  [ Aurelien Jarno ]
  * debian/rules: Fix FTBFS on mips64el by adding --disable-mips64r6. (Closes:
    #830868)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 12 Jul 2016 16:38:52 +0200

ffmpeg (7:3.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/rules:
    - Really build with opencv everywhere. (Closes: #827868)
    - Remove obsolete comments.
    - Build with --enable-libebur128.
  * debian/patches
    - lavf-mpegts-Return-small-probe-score-for-very-short-.patch: Removed,
      included upstream.
    - disable-opj-static.patch: Do not define OPJ_STATIC when building against
      openjpeg 2.1.x.
  * debian/control: Add libebur128-dev to B-D.
  * debian/copyright:
    - Add new copyright holders.
    - Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 12 Jul 2016 09:37:46 +0200

ffmpeg (7:3.0.2-4) unstable; urgency=medium

  * debian/control: Switch to libopenjp2-7-dev. (Closes: #826812)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 11 Jun 2016 11:19:42 +0200

ffmpeg (7:3.0.2-3) unstable; urgency=medium

  * Team upload.

  [ Balint Reczey ]
  * Build-depend on libx265-dev (>= 1.8)

  [ Sebastian Ramacher ]
  * debian/rules:
    - No longer disable i686 optimization on i386 based architectures.
    - Disable mips32r6 for all mips architectures.
  * debian/copyright: Remove an extra 'with'.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 01 Jun 2016 20:43:32 +0200

ffmpeg (7:3.0.2-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: Build with --disable-mips32r6 on mips(el) to fix FTBFS
    there.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 13 May 2016 16:49:23 +0200

ffmpeg (7:3.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #823633).
  * debian/patches/lavf-mpegts-Return-small-probe-score-for-very-short-.patch:
    Upstream patch to fix regression in aac in mpegts. (Closes: #823098)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 May 2016 19:53:57 +0200

ffmpeg (7:3.0.1-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 17 Apr 2016 19:24:37 +0200

ffmpeg (7:3.0.1-2) experimental; urgency=medium

  * debian/control: Let libavcodec-extra depend on an existing package.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 11 Apr 2016 20:26:41 +0200

ffmpeg (7:3.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/*.install.powerpc: Remove extra -ffmpeg from filenames.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 11 Apr 2016 17:51:27 +0200

ffmpeg (7:3.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * SONAME bump and no longer add -ffmpeg to SONAMES.
  * debian/{rules,control}: Use automatic debug symbol packages.
  * debian/patches/{build-make-out-of-tree-builds-bit-identical-to-in-tr,
    doc-make-apidoc-output-independent-of-SRC_PATH}.patch: Removed, included
    upstream.
  * debian/missing-sources/ffmpeg-web/src/less/style.less: Update from GitHub.
  * debian/copyright: Update copyright years and add new copyright holders.
  * debian/rules:
    - Honor nocheck.
    - Simplify CPU check.
    - No longer build with --enable-libvo_aacenc.
    - Update use of --disable-mipsdspr1.
    - Build with --enable-chromaprint and --enable-librubberband.
    - Do not run tests for -indep builds.
    - Always fail loop on error.
  * debian/control:
    - Update Vcs-Git.
    - New Build-Depends: libchromaprint-dev, librubberband-dev.
    - Removed Build-Depends: libvo-aacenc-dev.
    - Update Description.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 08 Mar 2016 01:58:44 +0100

ffmpeg (7:2.8.6-1) unstable; urgency=medium

  * Import new upstream bugfix release 2.8.6.
  * Update Standards-Version to 3.9.7.
     - Move documentatation from /u/s/d/ffmpeg-doc/ to /u/s/d/ffmpeg/.
  * Use https for the Vcs-Git link.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Tue, 02 Feb 2016 23:46:23 +0100

ffmpeg (7:2.8.5-1) unstable; urgency=medium

  * Import new upstream bugfix release 2.8.5.
     - Fixes CVE-2016-1897 and CVE-2016-1898.
  * Update doc-make-apidoc-output-independent-of-SRC_PATH.patch.
  * Add patch to make out-of-tree builds bit-identical to in-tree-builds.
  * Enable the now available opencv and frei0r on mips64el.
  * Fix altivec-extra compile time optimization.
  * Update copyright year for the debian files.
  * Change priority of libavcodec*-extra* to extra.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Fri, 15 Jan 2016 20:23:56 +0100

ffmpeg (7:2.8.4-1) unstable; urgency=medium

  * Import new upstream bugfix release 2.8.4.
  * Change section of libavcodec-extra from libs to metapackages.
  * Re-enable libsoxr as glibc bug #793641 is now fixed in testing.
  * Add patch to make apidoc output independent of SRC_PATH.
  * Also build standard flavor in a subdirectory. (Closes: #804284)

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sun, 20 Dec 2015 23:12:56 +0100

ffmpeg (7:2.8.3-1) unstable; urgency=medium

  * Switch debian/watch to xz instead of gz.
  * Import new upstream bugfix release 2.8.3.
    Fixes CVE-2015-8363, CVE-2015-8364 and CVE-2015-8365. (Closes: #806519)
  * Respect CC and CXX from the environment in debian/rules.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sat, 28 Nov 2015 11:39:49 +0100

ffmpeg (7:2.8.2-1) unstable; urgency=medium

  * Import new upstream bugfix release 2.8.2.
     - videodsp: don't overread edges in vfix3 emu_edge. (Closes: #801745)
  * Drop avcodec-vp8-Do-not-use-num_coeff_partitions-in-thread.patch
    included upstream.
  * Use system bootstrap for ffmpeg-doc.
  * Remove now unused bootstrap sources.
  * Add build-profile support for stage1, disabling frei0r, opencv and x264.
  * Drop now unnecessary embedded-library lintian-overrides.
  * Re-enable libdc1394 on sparc64, as libudev is working again.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Thu, 12 Nov 2015 23:58:49 +0100

ffmpeg (7:2.8.1-1) unstable; urgency=medium

  [ Balint Reczey ]
  * Add myself to uploaders.

  [ Andreas Cadhalpun ]
  * Import new upstream bugfix release 2.8.1.
  * Remove hls-only-seek-if-there-is-an-offset.patch included upstream.
  * Add avcodec-vp8-Do-not-use-num_coeff_partitions-in-thread.patch to
    fix CVE-2015-6761.
  * Enable x264 on mips64el and opencv on alpha.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Thu, 15 Oct 2015 00:26:09 +0200

ffmpeg (7:2.8-1) unstable; urgency=medium

  [ Fabian Greffrath ]
  * Pass the --dbg-package=ffmpeg-dbg parameter only to dh_strip.
  * Add alternative Depends: libavcodec-ffmpeg-extra56 to libavcodec-dev and
    ffmpeg-dbg to allow for building and debugging with this library installed.

  [ Andreas Cadhalpun ]
  * Import new major upstream release 2.8.
  * Remove the transitional lib*-ffmpeg-dev packages.
  * Drop old Breaks on kodi-bin.
  * Drop workaround for sparc, which is no Debian architecture anymore.
  * Re-enable x265 on alpha, as it's available again.
  * Disable unavailable frei0r, opencv and x264 on mips64el.
  * Disable libopenjpeg (#787275) and libschroedinger (#787957) decoders.
    (Closes: #786670)
  * Disable libdc1394 on sparc64, because it links against the broken due to
    #790560 libudev1.
  * Enable libsnappy support.
  * Add new symbols.
  * Update debian/copyright.
  * Update debian/tests/encdec_list.txt.
  * Add hls-only-seek-if-there-is-an-offset.patch. (Closes: #798189)
  * Add 'Breaks: libavutil-ffmpeg54 (>= 8:0)' to the libraries.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Tue, 22 Sep 2015 15:15:20 +0200

ffmpeg (7:2.7.2-2) unstable; urgency=medium

  [ Reinhard Tartler ]
  * Tighten breaks/replaces on libav-tools. (Closes: #793085)
  * Take over the libav-tools package.

  [ Andreas Cadhalpun ]
  * Rename d/libav-tools-links.links to d/libav-tools.links.
  * Disable libsoxr support to workaround glibc bug #793641.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Mon, 17 Aug 2015 22:45:02 +0200

ffmpeg (7:2.7.2-1) unstable; urgency=medium

  [ Reinhard Tartler ]
  * Add myself to uploaders.
  * Merge qt-faststart back into 'ffmpeg'.

  [ Andreas Cadhalpun ]
  * Upload to unstable.
  * Import new upstream bugfix release 2.7.2.
     - Make -xerror with multi-threading more robust. (Closes: #780344)
  * Enable frei0r, opencv, x264, x265 on x32 and x265 on sparc64.
  * Disable x264 on sparc64 due to #792921.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Mon, 20 Jul 2015 10:23:49 +0200

ffmpeg (7:2.7.1-2) experimental; urgency=medium

  [ Andreas Cadhalpun ]
  * Build libavcodec-extra flavor.
  * Add encdec-extra autopkgtest for the libavcodec-extra flavor.
  * Add lib*-dev and libav-tools-links packages.
  * Drop README.Debian.
  * Remove bogus apng-ffm autopkg test.
  * Explicitly build-depend on liblzma-dev used by the tiff decoder.
  * Use the pkg-multimedia repository for the Vcs links.
  * Use the plain lib*-dev packages for the test dependencies.
  * Disable libssh on sparc due to #790067.
  * Remove temporary gdb dependency on sparc64.
  * Enable openal on sparc64.

  [ Carl Eugen Hoyos ]
  * Disable x265 on alpha due to #789807.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Thu, 09 Jul 2015 23:42:42 +0200

ffmpeg (7:2.7.1-1) unstable; urgency=medium

  * Import new upstream bugfix release 2.7.1.
  * Use DEB_LDFLAGS_MAINT_STRIP for removing the Bsymbolic-functions flag.
  * Use lissh-gcrypt-dev to avoid linking against libssl.
  * Disable DH_VERBOSE in debian/rules.
  * Add libavresample-ffmpeg2 and qt-faststart dependencies to ffmpeg-dbg.
  * Enable opencv and zvbi on m68k, disable opencv on alpha.
  * Remove unused, optional and private avpriv_emms_yasm from symbols file.
  * Build an altivec flavor on powerpc.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sun, 21 Jun 2015 23:38:07 +0200

ffmpeg (7:2.7-1) unstable; urgency=medium

  * Import new major upstream release 2.7.
     - Suggest new mpeg4_unpack_bframes bitstream filter instead of
       VirtualDub/Avidemux. (Closes: #781510)
  * Add new symbols.
  * Change maintainer to the pkg-multimedia team and move myself to uploaders.
  * Let ffmpeg suggest ffmpeg-doc.
  * Fix encdec autopkgtest to not fail, when skipping tests.
  * Restrict shlib-with-non-pic-code lintian override to i386.
    Thanks to Jakub Wilk for the hint.
  * Use '-strict -2' in the encdec autopkgtest also for probing/decoding.
  * Disable loongson3 optimizations on mips, because they are not always
    available.
  * Update debian/copyright.
  * Update debian/tests/encdec_list.txt.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Thu, 11 Jun 2015 00:47:35 +0200

ffmpeg (7:2.6.3-1) unstable; urgency=medium

  * Import new upstream bugfix release 2.6.3.
  * Don't install the pc-uninstalled directory.
    It is only useful in the source.
  * Use 'set -e' in the autopkgtests.
  * Explicitly build-depend on pkg-config.
  * Enable gnutls and librtmp on sparc64, libvpx and libsdl on x32 and
    opencv on powerpcspe, since they are now available.
  * Disable i686 optimizations on (hurd-)i386, because i586 is still
    supported.
  * Temporarily use gdb in sparc64 builds to investigate test failures.
  * Re-enable assembler optimizations on ppc64el, since they are
    finally really fixed.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sun, 17 May 2015 22:03:38 +0200

ffmpeg (7:2.6.2-1) unstable; urgency=medium

  * Import new upstream bugfix release 2.6.2.
  * Drop build-dependency on bc, the tests use awk since 2.6.
  * Drop override_dh_strip in debian/rules, because binutils is now built
    with --enable-deterministic-archives.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sun, 12 Apr 2015 22:51:20 +0200

ffmpeg (7:2.6.1-1) unstable; urgency=medium

  * Import new major upstream release 2.6.1.
  * Add Breaks and Replaces on libav-tools (<< 6:9~), which shipped ff*
    symlinks. Thanks to Andreas Beckmann. (Closes: #779664)
  * Adapt debian/rules to changes in the configure script:
     - Don't explicitly set shlibdir as it now defaults to libdir.
     - Drop --disable-mips32r2, which has no effect anymore.
     - Don't add --disable-mipsfpu on mips64(el) as it should work there.
  * Enable libx265-dev on sparc, m68k and sh4, where it is now available.
  * Update debian/missing-sources.
  * Drop patches included upstream:
     - configure-use-ar-and-ranlib-in-deterministic-mode-if.patch
     - stop-embedding-the-build-date.patch
  * Add new symbols to debian/*.symbols.
  * Add autopkgtests:
     - examples: compile the example programs
     - encdec: test creating/reading files for many codec/format combinations
  * Update debian/copyright.
  * Add Breaks on kodi-bin (<= 14.0+dfsg1-1), because it uses internal FFmpeg
    API, which was changed incompatibly.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Mon, 16 Mar 2015 23:53:34 +0100

ffmpeg (7:2.5.4-1) unstable; urgency=medium

  * Import new upstream bugfix release 2.5.4.
  * Drop configure-enable-vsx-together-with-altivec-for-ppc64el.patch
    included upstream.
  * Add patches making the build binary reproducible.
  * Stop using faketime.
  * Correctly handle noopt in DEB_BUILD_OPTIONS.
  * Disable assembler optimizations on ppc64el, as they don't work yet.
  * Disable assembler optimizations on mips64(el), as they don't work yet.
    Thanks to James Cowgill. (Closes: #776649)
  * Fix dep5-copyright-license-name-not-unique lintian warnings.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sat, 14 Feb 2015 23:14:52 +0100

ffmpeg (7:2.5.3-1) unstable; urgency=medium

  * Import new upstream bugfix release 2.5.3.
  * Add new av_*_ffversion symbols to the symbols files.
  * Let the test suite continue after the first error.
  * Update copyright year for debian packaging.
  * Re-enable assembler optimizations on armel.
  * Enable x265 on powerpcspe, as it's now available there.
  * Add configure-enable-vsx-together-with-altivec-for-ppc64el.patch to fix
    test failures on ppc64el.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sat, 10 Jan 2015 11:36:54 +0100

ffmpeg (7:2.5.1-1) unstable; urgency=medium

  * Import new upstream bugfix release 2.5.1.
  * Enable assembler optimizations on ppc64el. They should work now.
  * Enable rtmp on powerpcspe, x265 on hppa and zvbi on hurd and kfreebsd,
    as they are now available there.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Tue, 16 Dec 2014 01:20:40 +0100

ffmpeg (7:2.5-1) unstable; urgency=medium

  * Import new major upstream release 2.5.
  * Update debian/copyright.
  * Add new symbols to the symbols files.
  * Disable rtmp on powerpcspe and sparc64 as librtmp-dev is currently
    uninstallable there.
  * Disable opencv on powerpcspe, as it is currently uninstallable.
  * Enable x265 on mips, mipsel and powerpc, as it's now available there.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sat, 06 Dec 2014 14:07:28 +0100

ffmpeg (7:2.4.4-1) unstable; urgency=medium

  * New upstream bugfix release 2.4.4.
  * Drop fix-hppa-tests.patch included upstream.
  * Do not enable gnutls on sparc64 and libzvbi on m68k, because they are
    not available there. Thanks to Carl Eugen Hoyos.
  * Do not enable libsdl and libvpx on x32, because they are not available.
  * Add explicit build-dependencies on libfontconfig1-dev, libfreetype6-dev,
    libgl1-mesa-dev, libpulse-dev and libxext-dev.
  * Add build-dependency on libx265-dev on the architectures, where it is
    already available.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Wed, 03 Dec 2014 00:29:36 +0100

ffmpeg (7:2.4.3-1) unstable; urgency=medium

  * Import new upstream bugfix release 2.4.3.
     - Refresh Change-symbol-versioning.patch.
     - Add new symbols to the libavdevice symbols file.
  * Enable libbs2b on arm64, since it is now available.
  * Disable frei0r and libx264 on x32, libsoxr and openal on sparc64
    and libopencv on m68k, sh4, sparc64 and x32, because they are not
    (yet) avialable there.
  * Disable assembler optimizations on x32, as they wouldn't work there.
  * Include config.log in the build-log, when compiling fails.
  * Add fix-hppa-tests.patch to work around a gcc bug on hppa.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Wed, 05 Nov 2014 01:18:23 +0100

ffmpeg (7:2.4.2-1) unstable; urgency=medium

  * Import new upstream bugfix release 2.4.2.
  * Drop tests_Cat-err-file-in-case-of-error.patch included upstream.
  * Disable assembler optimizations on armel to fix the tests.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Mon, 06 Oct 2014 21:13:39 +0200

ffmpeg (7:2.4.1-1) unstable; urgency=medium

  * Import new upstream bugfix release 2.4.1.
  * Drop patches included upstream:
     - avcodec-x86-vp9lpf_Always-include-x86util.asm.patch
     - fix-build-when-AV_READ_TIME-is-unavailable.patch
     - vf_deshake-rename-Transform.vector-to-Transform.vec.patch
  * Disable Altivec on powerpc to fix test failures.
  * Cherry-pick tests_Cat-err-file-in-case-of-error.patch to ease debugging
    of test failures.
  * Add Breaks and Replaces on old ffmpeg packages to qt-faststart.
  * Disable optimizations on mips(el) to fix test failures.
  * Don't enable libbs2b on arm64, because it is not (yet) available there.
  * Disable assembler optimizations on ppc64el to (hopefully) fix the tests.
  * Upload to unstable.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Fri, 26 Sep 2014 21:58:10 +0200

ffmpeg (7:2.4-2) experimental; urgency=medium

  * Cherrypick patches from upstream:
     - fix-build-when-AV_READ_TIME-is-unavailable.patch:
       This fixes building on armel, mipsel and s390x.
     - vf_deshake-rename-Transform.vector-to-Transform.vec.patch:
       This fixes building on powerpc and ppc64el.
     - avcodec-x86-vp9lpf_Always-include-x86util.asm.patch:
       This fixes the executable stack lintian warning for libavcodec on i386.
  * Add lintian overrides for shlib-with-non-pic-code on i386, where non-PIC
    code is allowed.
  * Don't enable opencl, because it is considered experimental.
  * Bump policy to 3.9.6 (no changes required).
  * Mark ffmpeg-doc as Multi-Arch: foreign.
  * Install the headers in the triplet subdirectory of /usr/include.
    This is necessary, because some headers (e.g. libavutil/avconfig.h)
    are architecture-dependant.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Thu, 18 Sep 2014 21:54:12 +0200

ffmpeg (7:2.4-1) experimental; urgency=medium

  * Import new major upstream release 2.4. (Closes: #729203)
     - Fixes CVE-2014-5271: proresenc_ks: fix buffer overflow
     - Fixes CVE-2014-5272: iff: fix out of array access
     - The non-free image tests/lena.pnm is not shipped anymore.
  * Switch Vcs-Browser to the cgit interface.
  * In the development packages add symbolic links from the standard lib*.so
    library names to the suffixed ones.
    This makes it possible to use the normal linker flags, e.g. '-lavcodec',
    to link against the FFmpeg libraries with '-ffmpeg' suffix.
  * Add missing copyright holders/years to debian/copyright.
  * Fix wildcard-matches-nothing-in-dep5-copyright lintian warnings.
  * Add qt-faststart to the Recommends: of the ffmpeg binary package.
  * Configure with --enable-libshine, since libshine >= 3.0.0 is now available
    in Debian.
  * Drop pkg-config_file_without_build_suffix.patch and instead create symlinks
    from the lib*.pc files to the suffixed lib*-ffmpeg.pc files.
  * Install similar symlinks for the static libraries.
  * Don't hardcode default.css as CSS filename in debian/ffmpeg-doc.install.
  * Drop patches included upstream:
     - makeinfo.patch
     - Fix-spelling.patch
  * Update Change-symbol-versioning.patch.
  * Adapt the packaging to the changed library soversions.
  * Generalize ffmpeg.lintian-overrides with wildcards.
  * Add debian/missing-sources with the sources of the minified CSS files in
    the upstream tarball.
  * Create the minified CSS files during package build instead of using the
    ones shipped in the tarball.
    For this add cleancss and node-less to Build-Depends-Indep.
  * Update debian/copyright.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sun, 14 Sep 2014 23:53:23 +0200

ffmpeg (7:2.3.1-1) experimental; urgency=medium

  * Import new upstream release 2.3.1. (Closes: #729203)
     - Fix integer overflow in LZO code. (CVE-2014-4610)
  * Fix FTBFS in Ubuntu caused by the -Bsymbolic-functions linker flag.
    Thanks to Guillaume Martres for pointing out the fix that Fabian Greffrath
    created for the Libav package.
  * Don't ignore test failures anymore, since gcc-4.9 has been fixed to
    compile FFmpeg correctly. (see #746944)
  * Enable libdc1394 only on linux. This fixes FTBFS on !linux-any.
  * Use wildcards instead of multiarch paths and sonames in lintian
    overrides.
  * Fix building on hurd (patch included upstream in 2.2.3).
  * Improve the description of the debug package.
  * Drop fix-tests.patch. Instead export the LD_LIBRARY_PATH in debian/rules.
  * Improve the comment in debian/copyright, explaining the effective license
    of the binary packages.
  * Change 'Comments:' to the correct 'Comment:' in debian/copyright.
  * Add some missing files to debian/copyright.
  * Call the upstream Makefile from debian/rules to build the apidoc
    instead of calling the doxy-wrapper directly.
  * Add _FFMPEG to the symbol versions of the libraries to ensure that there
    is no confusion, if a binary is linked against FFmpeg and another shared
    library, which is linked against Libav.
  * Update patches to apply cleanly to 2.3.
  * Add new symbols to the .symbols files.
  * Update lintian overrides.
  * Include config.log in the build-log, when configure fails.
  * Add libgnutls28-dev build-dependency, which was previously pulled in as
    a dependency of another build-dependency.
  * Install the release notes into /usr/share/doc/ffmpeg.
  * Add build-dependencies and enable in debian/rules:
     - libbs2b
     - libfribidi
  * Update debian/copyright.
  * Update the dependencies of the *-dev packages.
  * Use packaged libjs-jquery instead of the jquery created by doxygen.
  * Add Fix-spelling patch to fix spelling errors.
  * Mark architecture-dependent symbols as optional.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sat, 09 Aug 2014 14:00:38 +0200

ffmpeg (7:2.2.1-1) experimental; urgency=medium

  * Reintroduce FFmpeg to Debian. (Closes: #729203)
    There are far to many changes since FFmpeg 0.5 to mention them here, see:
        https://git.videolan.org/?p=ffmpeg.git;a=shortlog;h=n2.2.1
    Many security issues have been fixed as well, see:
        https://ffmpeg.org/security.html
    Among them are:
     - 0.5: CVE-2008-4610
     - 0.10: CVE-2011-3941, CVE-2011-3944, CVE-2011-3934, CVE-2011-3946
     - 0.11: CVE-2012-5359, CVE-2012-5360, CVE-2012-5361
     - 1.1: CVE-2012-6618, CVE-2013-0844, CVE-2013-0846, CVE-2013-0848,
            CVE-2013-0849, CVE-2013-0850, CVE-2013-0854, CVE-2013-0856,
            CVE-2013-0858
     - 1.1.1: CVE-2013-0860
     - 1.1.2: CVE-2013-0865, CVE-2013-0867, CVE-2013-0868, CVE-2013-0869
     - 1.1.3: CVE-2013-0873, CVE-2013-2277
     - 1.2: CVE-2012-5150, CVE-2013-0894, CVE-2013-2495, CVE-2013-2496
     - 2.0: CVE-2013-3670, CVE-2013-3672
     - 2.1: CVE-2013-7009, CVE-2013-7010, CVE-2013-7011, CVE-2013-7015,
            CVE-2013-7020
     - 2.1.4: CVE-2014-2263

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Wed, 07 May 2014 16:40:18 +0200
